package com.xinwangdao.CompanyStatistical.controller;

import com.xinwangdao.CompanyStatistical.component.GlobalResponse;
import com.xinwangdao.CompanyStatistical.util.UploadUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import static com.xinwangdao.CompanyStatistical.component.GlobalResponse.success;


/**
 * @Author: zthu
 * @Date: 2019-05-21
 */
@Api(tags = "UploadController", description = "文件上传")
@Slf4j
@RestController
@RequestMapping("/api/admin/upload")
public class UploadController {
    @ApiOperation("文件上传")
    @RequestMapping(value = "", method = RequestMethod.POST)
    public GlobalResponse upload(@RequestParam MultipartFile file,@RequestParam(value = "fileName",required = false)String fileName,
                                 @RequestParam(value = "projectId",required = false)String projectId,@RequestParam(value = "companyName",required = false)String companyName) {
        String upload = UploadUtil.upload(file,fileName,projectId,companyName);
        return success(upload);
    }
}