package com.xinwangdao.CompanyStatistical.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @Author: zthu
 * @Date: 2021-06-15
 */
@Data
public class LoginDTO {
    @NotNull
    @Size(min = 4, message = "用户名不能少于4个字符")
    private String username;

    @NotNull
    @Size(min = 6, message = "密码不能少于6个字符")
    private String password;
}
