package com.xinwangdao.CompanyStatistical.job;


import cn.hutool.extra.spring.SpringUtil;
import com.xinwangdao.CompanyStatistical.entity.Project;
import com.xinwangdao.CompanyStatistical.service.IProjectService;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * @Author: zthu
 * @Date: 2021/6/7 13:42
 */
@Component
public class EndJob {

    public void endProject(){
        IProjectService iProjectService = SpringUtil.getBean(IProjectService.class);
//        UpdateWrapper<User> updateWrapper = new UpdateWrapper<>();
//        updateWrapper.eq("today_check_in_flag","1");
//        User user = new User();
//        user.setTodayCheckInFlag(0);
//        iUserService.update(user, updateWrapper);
        List<Project> projectList = iProjectService.list();
        if(null != projectList && projectList.size()>0){
            for (Project project:projectList){
                if(project.getFinishTime().before(new Date())){
                    project.setStatus(-2);
                    project.setUpdateTime(new Date());
                    iProjectService.updateById(project);
                }

            }

        }
        System.out.println("定时任务执行结束");

    }
}
