package com.xinwangdao.CompanyStatistical.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xinwangdao.CompanyStatistical.entity.ProjectCompanyRelation;
import com.xinwangdao.CompanyStatistical.entity.dto.CompanyProjectDTO;
import com.xinwangdao.CompanyStatistical.entity.dto.ProjectByCompanyIdDTO;
import org.apache.ibatis.annotations.Param;

/**
 *  Mapper 接口
 *
 * @Author: zthu
 * @Date: 2021-06-15
 */
public interface ProjectCompanyRelationMapper extends BaseMapper<ProjectCompanyRelation> {
    IPage<CompanyProjectDTO> selectCompanyListByProjectId(Page<ProjectCompanyRelation> page,@Param("projectId") Integer projectId,@Param("companyName")String companyName, @Param("typeId")String typeId,@Param("status")Integer status);
    IPage<ProjectByCompanyIdDTO> selectProjectListByCompanyId(Page<ProjectCompanyRelation> page, @Param("companyId") Integer companyId,@Param("status") Integer status,@Param("applyStatus") Integer applyStatus,@Param("projectName")String projectName);

}
