package com.xinwangdao.CompanyStatistical.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xinwangdao.CompanyStatistical.entity.SatisfactionModel;
import com.xinwangdao.CompanyStatistical.entity.dto.SatisfactionDTO;
import com.xinwangdao.CompanyStatistical.entity.dto.ScoreDTO;
import org.apache.ibatis.annotations.Param;

/**
 *  Mapper 接口
 *
 * @Author: zthu
 * @Date: 2021-06-15
 */
public interface SatisfactionModelMapper extends BaseMapper<SatisfactionModel> {
    IPage<SatisfactionDTO> queryCompanyListBySatisfactionId(Page<SatisfactionModel> page, @Param("satisfactionId") Integer satisfactionId
            , @Param("companyName") String companyName
            , @Param("projectName") String projectName);

    ScoreDTO selectCountNum(@Param("satisfactionId") Integer satisfactionId);
}
