package com.xinwangdao.CompanyStatistical.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.xinwangdao.CompanyStatistical.entity.User;
import com.xinwangdao.CompanyStatistical.mapper.UserMapper;
import com.xinwangdao.CompanyStatistical.service.ILoginService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Optional;

/**
 * @Author: zthu
 * @Date: 2021-06-15
 */
@Service
public class LoginServiceImpl extends ServiceImpl<UserMapper, User> implements ILoginService {
    @Autowired
    UserMapper userMapper;

    @Override
    public Optional<User> findByName(String name) {
        return Optional.ofNullable(
                userMapper.selectOne(Wrappers.<User>lambdaQuery()
                        .eq(User::getName, name))
        );
    }
}
