package com.xinwangdao.CompanyStatistical.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xinwangdao.CompanyStatistical.entity.SatisfactionModel;
import com.xinwangdao.CompanyStatistical.entity.dto.SatisfactionDTO;
import com.xinwangdao.CompanyStatistical.mapper.SatisfactionModelMapper;
import com.xinwangdao.CompanyStatistical.service.ISatisfactionModelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 *  服务实现类
 *
 * @Author: zthu
 * @Date: 2021-06-15
 */
@Service
public class SatisfactionModelServiceImpl extends ServiceImpl<SatisfactionModelMapper, SatisfactionModel> implements ISatisfactionModelService {
    @Override
    public IPage<SatisfactionDTO> queryCompanyListBySatisfactionId(Page<SatisfactionModel> page, Integer satisfactionId,String companyName,String projectName) {
        return baseMapper.queryCompanyListBySatisfactionId(page,satisfactionId,companyName,projectName);
    }
}
