package com.xinwangdao.CompanyStatistical.controller;

import com.xinwangdao.CompanyStatistical.component.GlobalResponse;
import com.xinwangdao.CompanyStatistical.component.GlobalException;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import static com.xinwangdao.CompanyStatistical.component.GlobalResponse.*;

/**
 * @Author: zthu
 * @Date: 2021-06-15
 */
@Api(description = "枚举类型表")
@Slf4j
@RestController
@RequestMapping("/api/common")
public class CommonController {
    @ApiOperation("exception")
    @RequestMapping(value = "/exception", method = RequestMethod.GET)
    public GlobalResponse exception() {
        return success(GlobalException.getAllType());
    }
}
