package com.xinwangdao.CompanyStatistical.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 *
 * @Author: zthu
 * @Date: 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("`satisfaction_model`")
@ApiModel(value="SatisfactionModel对象", description="")
public class SatisfactionModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "满意度表单名称")
    @TableField("satisfaction_name")
    private String satisfactionName;

    @ApiModelProperty(value = "状态,1启用，0停用")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "满意度表单内容")
    @TableField("satisfaction_content")
    private String satisfactionContent;



    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty(value = "总分")
    @TableField("total_score")
    private BigDecimal totalScore;

    @ApiModelProperty(value = "1企业、2普通用户")
    @TableField("flag")
    private Integer flag;
}
