package com.xinwangdao.CompanyStatistical.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: zthu
 * @Date: 2021/6/16 10:30
 */
@Data
public class CompanyProjectDTO {

    @ApiModelProperty(value = "企业id")
    private Integer companyId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "单位性质")
    private String companyUnit;

    @ApiModelProperty(value = "营业执照号")
    private String businessLicenseNo;

    @ApiModelProperty(value = "联系人")
    private String linkman;

    @ApiModelProperty(value = "联系人手机号码")
    private String linkPhone;

    @ApiModelProperty(value = "分类id字符串，以逗号分隔")
    private String companyTypes;

    @ApiModelProperty(value = "分类id字符串描述，以逗号分隔")
    private String companyTypesName;

    @ApiModelProperty(value = "填写状态")
    private Integer applyStatus;

    @ApiModelProperty(value = "申报时间")
    private Date applyTime;

}
