package com.xinwangdao.CompanyStatistical.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xinwangdao.CompanyStatistical.entity.ProjectCompanyRelation;
import com.xinwangdao.CompanyStatistical.entity.dto.CompanyProjectDTO;
import com.xinwangdao.CompanyStatistical.entity.dto.ProjectByCompanyIdDTO;

/**
 *  服务类
 *
 * @Author: zthu
 * @Date: 2021-06-15
 */
public interface IProjectCompanyRelationService extends IService<ProjectCompanyRelation> {
    IPage<CompanyProjectDTO> selectCompanyListByProjectId(Page<ProjectCompanyRelation> page, Integer projectId, String companyName, String typeId, Integer status);
    IPage<ProjectByCompanyIdDTO> selectProjectListByCompanyId(Page<ProjectCompanyRelation> page, Integer companyId,Integer status,Integer applyStatus,String projectName);

}
