package com.xinwangdao.CompanyStatistical.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xinwangdao.CompanyStatistical.entity.ProjectCompanyRelation;
import com.xinwangdao.CompanyStatistical.entity.dto.CompanyProjectDTO;
import com.xinwangdao.CompanyStatistical.entity.dto.ProjectByCompanyIdDTO;
import com.xinwangdao.CompanyStatistical.mapper.ProjectCompanyRelationMapper;
import com.xinwangdao.CompanyStatistical.service.IProjectCompanyRelationService;
import org.springframework.stereotype.Service;

/**
 *  服务实现类
 *
 * @Author: zthu
 * @Date: 2021-06-15
 */
@Service
public class ProjectCompanyRelationServiceImpl extends ServiceImpl<ProjectCompanyRelationMapper, ProjectCompanyRelation> implements IProjectCompanyRelationService {

    @Override
    public IPage<CompanyProjectDTO> selectCompanyListByProjectId(Page<ProjectCompanyRelation> page, Integer projectId,String companyName, String typeId,Integer status) {
        return baseMapper.selectCompanyListByProjectId(page,projectId,companyName,typeId,status);
    }

    @Override
    public IPage<ProjectByCompanyIdDTO> selectProjectListByCompanyId(Page<ProjectCompanyRelation> page, Integer companyId,Integer status,Integer applyStatus,String projectName) {
        return baseMapper.selectProjectListByCompanyId(page,companyId,status,applyStatus,projectName);
    }
}
