package com.xinwangdao.CompanyStatistical.util;

import org.apache.shiro.crypto.SecureRandomNumberGenerator;
import org.apache.shiro.crypto.hash.Md5Hash;

/**
 * @Author: zthu
 * @Date: 2021-06-15
 */
public class ShiroUtils {
    /**
     * rememberMe Cookie
     */
    public static final String REMEMBER_ME_COOKIE_NAME = "rememberMe";

    /**
     * rememberMe Cookie 解密密钥
     */
    public static final String REMEMBER_ME_COOKIE_CIPHERKEY = "kTqkxP+z67bxdWWWX+DqCA==";

    public static final String HASH_ALGORITHM_NAME = "MD5";

    public static final Integer HASH_ITERATIONS = 520;

    /**
     * 对密码进行md5加密,并返回密文和salt，包含在User对象中
     */

    public static String generateSalt() {
        SecureRandomNumberGenerator secureRandomNumberGenerator = new SecureRandomNumberGenerator();
        return secureRandomNumberGenerator.nextBytes().toHex();
    }

    public static String md5Password(String password, String salt) {
        return new Md5Hash(password, salt, HASH_ITERATIONS).toHex();
    }
}
